Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.access
Class QListAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QListAccess

Direct Known Subclasses:
  QDOMAttAccess, QFactoryAccess, QPERemAccess, QPEValuesAccess

public class QListAccess
extends QAccess

Constructor Summary
`QListAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`QIterator` | `createIterator()`
`protected List` | `getList(Object parent, QContext context)`
`boolean` | `readable(QTargetFactory parentFactory, QContext context)`
`int` | `reserve(QTargetFactory parentFactory, Object parentObject, QContext context)`
`void` | `set(int reserved, Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`boolean` | `writeable(QTargetFactory parentFactory, QContext context)`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QListAccess

    public QListAccess()

Method Detail

### readable

    public boolean readable(QTargetFactory parentFactory,
                            QContext context)
                     throws QPE

  Overrides:
    `readable` in class `QAccess`

### createIterator

    public final QIterator createIterator()

  Overrides:
    `createIterator` in class `QAccess`

### getList

    protected List getList(Object parent,
                           QContext context)
                    throws QPE

### setIteratorParent

    public final void setIteratorParent(QIterator it,
                                        Object parent,
                                        QTargetFactory parentFactory,
                                        QContext context)
                                 throws QPE

  Overrides:
    `setIteratorParent` in class `QAccess`

### writeable

    public boolean writeable(QTargetFactory parentFactory,
                             QContext context)
                      throws QPE

  Overrides:
    `writeable` in class `QAccess`

### add

    public final void add(Object parent,
                          QTargetFactory parentFactory,
                          Object child,
                          QContext context)
                   throws QPE

  Overrides:
    `add` in class `QAccess`

### reserve

    public int reserve(QTargetFactory parentFactory,
                       Object parentObject,
                       QContext context)
                throws QPE

  Overrides:
    `reserve` in class `QAccess`

### set

    public final void set(int reserved,
                          Object parent,
                          QTargetFactory parentFactory,
                          Object child,
                          QContext context)
                   throws QPE

  Overrides:
    `set` in class `QAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD